PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
plask::MeshGenerator Class Reference

Base class for every mesh generator. More...

`#include <plask/mesh/mesh.hpp>`

Inheritance diagram for plask::MeshGenerator:
[legend]
Collaboration diagram for plask::MeshGenerator:
[legend]

## Public Types
typedef EventWithSourceAndFlags< MeshGenerator > | Event
| Mesh generator event.

## Public Member Functions
template<typename ClassT , typename methodT >
void | changedConnectMethod (ClassT *obj, methodT method, boost::signals2::connect_position at=boost::signals2::at_back)
| Connect a method to changed signal.
template<typename ClassT , typename methodT >
void | changedDisconnectMethod (ClassT *obj, methodT method)
template<typename EventT = Event, typename ... Args>
void | fireChanged (Args &&... event_constructor_params_without_source)
| Call changed with this as event source.
virtual | ~MeshGenerator ()
Public Member Functions inherited from plask::MeshBase
virtual | ~MeshBase ()

## Public Attributes
boost::signals2::signal< void(Event &)> | changed
| Changed signal, fired when space was changed.

## Protected Member Functions
virtual void | onChange (const Event &evt)
| This method is called when the generator is changed, just before changed signal.

## Detailed Description

Base class for every mesh generator.

Definition at line 327 of file mesh.hpp.

## Member Typedef Documentation

## ◆ Event

typedef EventWithSourceAndFlags<MeshGenerator> plask::MeshGenerator::Event

Mesh generator event.

Definition at line 331 of file mesh.hpp.

## Constructor & Destructor Documentation

## ◆ ~MeshGenerator()

virtual plask::MeshGenerator::~MeshGenerator | ( |  | ) |
| inline virtual

Definition at line 364 of file mesh.hpp.

## Member Function Documentation

## ◆ changedConnectMethod()

template<typename ClassT , typename methodT >

void plask::MeshGenerator::changedConnectMethod | ( | ClassT * | obj,
|  | methodT | method,
|  | boost::signals2::connect_position | at = `boost::signals2::at_back`
| ) |  |
| inline

Connect a method to changed signal.

Parameters

  obj,method | slot to connect, object and it's method
  at | specifies where the slot should be connected: boost::signals2::at_front indicates that the slot will be connected at the front of the list or group of slots boost::signals2::at_back (default) indicates that the slot will be connected at the back of the list or group of slots

Definition at line 344 of file mesh.hpp.

## ◆ changedDisconnectMethod()

template<typename ClassT , typename methodT >

void plask::MeshGenerator::changedDisconnectMethod | ( | ClassT * | obj,
|  | methodT | method
| ) |  |
| inline

Definition at line 349 of file mesh.hpp.

## ◆ fireChanged()

template<typename EventT = Event, typename ... Args>

void plask::MeshGenerator::fireChanged | ( | Args &&... | event_constructor_params_without_source | ) |
| inline

Call changed with this as event source.

Parameters

  event_constructor_params_without_source | parameters for event constructor (without first - source)

Definition at line 358 of file mesh.hpp.

## ◆ onChange()

void plask::MeshGenerator::onChange | ( | const Event & | evt | ) |
| protected virtual

This method is called when the generator is changed, just before changed signal.

Parameters

  evt | triggering event

Reimplemented in plask::MeshGeneratorD< MESH_DIM >, plask::MeshGeneratorD< 1 >, plask::MeshGeneratorD< 2 >, plask::MeshGeneratorD< 3 >, and plask::MeshGeneratorD< dim >.

Definition at line 68 of file mesh.cpp.

## Member Data Documentation

## ◆ changed

boost::signals2::signal<void(Event&)> plask::MeshGenerator::changed

Changed signal, fired when space was changed.

Definition at line 334 of file mesh.hpp.

The documentation for this class was generated from the following files:

- plask/mesh/mesh.hpp
- plask/mesh/mesh.cpp